package com.example.androidskuska

import android.app.Application
import android.content.Context
import com.example.androidskuska.api.CountriesApi

class App: Application() {
    companion object{
        lateinit var db: CountryDatabase
        lateinit var api: CountriesApi
    }
    override fun attachBaseContext(base: Context?) {

        super.attachBaseContext(base)
        //inicializacia databazy a API
        db = CountryDatabase.create(this)
        api = CountriesApi.create()
    }
}