package com.example.androidskuska.api

import retrofit2.Call
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.GET
import retrofit2.http.Path

interface CountriesApi {
    //Api pripojka na RestCountries a kde je definovana funkcia "find"
    @GET("name/{name}")
    fun find(@Path("name") name: String?): Call<List<CountryResponse>>

    companion object {
        fun create() = Retrofit.Builder().baseUrl("https://restcountries.com/v3.1/")
            .addConverterFactory(GsonConverterFactory.create()).build()
            .create(CountriesApi::class.java)
    }
}