package com.example.androidskuska

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query

//interface kde su zapisane funkcie databazy
@Dao
interface CountryDao {
    @Insert
    fun save(country: Country)

    @Delete
    fun delete(country: Country)

    @Query("SELECT * FROM Country")
    fun getAll():List<Country>

    @Query("SELECT * FROM Country WHERE Name = :name")
    fun find(name: String):Country?
}