package com.example.androidskuska

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import java.security.AccessControlContext

//zhrnutie viacej tabuliek v databaze
@Database(entities = [Country::class], version = 1)
abstract class CountryDatabase: RoomDatabase() {
    abstract fun getCountryDao(): CountryDao
    companion object {
        fun create(context: Context)= Room.databaseBuilder(context, CountryDatabase::class.java, "Countries.db").allowMainThreadQueries().build()

    }
}